Package com.google.protobuf

# Interface DescriptorProtos.ServiceDescriptorProtoOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.ServiceDescriptorProto`, `DescriptorProtos.ServiceDescriptorProto.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.ServiceDescriptorProtoOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.MethodDescriptorProto`
`getMethod(int index)`
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`
`int`
`getMethodCount()`
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`
`List<DescriptorProtos.MethodDescriptorProto>`
`getMethodList()`
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`
`DescriptorProtos.MethodDescriptorProtoOrBuilder`
`getMethodOrBuilder(int index)`
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`
`List<? extends DescriptorProtos.MethodDescriptorProtoOrBuilder>`
`getMethodOrBuilderList()`
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`DescriptorProtos.ServiceOptions`
`getOptions()`
`optional .google.protobuf.ServiceOptions options = 3 [json_name = "options"];`
`DescriptorProtos.ServiceOptionsOrBuilder`
`getOptionsOrBuilder()`
`optional .google.protobuf.ServiceOptions options = 3 [json_name = "options"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasOptions()`
`optional .google.protobuf.ServiceOptions options = 3 [json_name = "options"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasName

boolean hasName()
`optional string name = 1 [json_name = "name"];`

Returns:
  Whether the name field is set.

### getName

String getName()
`optional string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### getMethodList

List<DescriptorProtos.MethodDescriptorProto> getMethodList()
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`

### getMethod

DescriptorProtos.MethodDescriptorProto getMethod(int index)
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`

### getMethodCount

int getMethodCount()
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`

### getMethodOrBuilderList

List<? extends DescriptorProtos.MethodDescriptorProtoOrBuilder> getMethodOrBuilderList()
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`

### getMethodOrBuilder

DescriptorProtos.MethodDescriptorProtoOrBuilder getMethodOrBuilder(int index)
`repeated .google.protobuf.MethodDescriptorProto method = 2 [json_name = "method"];`

### hasOptions

boolean hasOptions()
`optional .google.protobuf.ServiceOptions options = 3 [json_name = "options"];`

Returns:
  Whether the options field is set.

### getOptions

DescriptorProtos.ServiceOptions getOptions()
`optional .google.protobuf.ServiceOptions options = 3 [json_name = "options"];`

Returns:
  The options.

### getOptionsOrBuilder

DescriptorProtos.ServiceOptionsOrBuilder getOptionsOrBuilder()
`optional .google.protobuf.ServiceOptions options = 3 [json_name = "options"];`